Skip to main content
POST
/
api
/
hyper-ai
/
conversations
cURL
curl --request POST \
  --url https://api.production.hyperoru.com/api/hyper-ai/conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "context": {},
  "message": "<string>",
  "conversation_id": 123,
  "skill_ids": [
    123
  ]
}
'
{
  "id": 123,
  "created_at": "<string>",
  "message_count": 123,
  "title": "<string>",
  "updated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Session token issued by POST /api/users/login, transported as Authorization: Bearer <token>.

Body

application/json

Chat-start request body.

context
object
required
message
string
required
conversation_id
integer<int64> | null
skill_ids
integer<int64>[] | null

Response

New conversation created

Conversation list item.

id
integer<int64>
required
created_at
string | null
message_count
integer<int64> | null
title
string | null
updated_at
string | null